Loading...
Searching...
No Matches
semiregular_box.hpp File Reference

## Classes

struct | ranges::semiregular_box< T >
struct | ranges::semiregular_box< T & >
struct | ranges::semiregular_box< T && >

## Typedefs

template<typename T , bool IsConst = false>
using | ranges::semiregular_box_ref_or_val_t = meta::if_c<(bool) semiregular< T >, meta::if_c< IsConst||std::is_empty< T >::value, T, reference_wrapper< T > >, reference_wrapper< meta::if_c< IsConst, semiregular_box< T > const, semiregular_box< T > > > >
template<typename T >
using | ranges::semiregular_box_t = meta::if_c<(bool) semiregular< T >, T, semiregular_box< T > >